This site uses cookies! Learn More

Ce site utilise des cookies !

En continuant à utiliser ce site, vous vous engagez à nous permettre de stocker des cookies sur votre ordinateur.

 

Si nous utilisons des cookies et retenons des données anonymes, c’est pour nous aider à mieux gérer notre mesure d’audience, aider nos partenaires commerciaux à nous rémunérer et nos partenaires publicitaires à proposer des annonces qui vous correspondent.

 

Grâce à ces cookies, le forum est en mesure de savoir qui écrit un message et utile pour le système d'authentification.

 

En cliquant sur « J'accepte », vous acceptez l'utilisation par NAS-Forum de cookies publicitaires et de mesure d'audience fine.

remix

Membres
  • Compteur de contenus

    67
  • Inscription

  • Dernière visite

  1. Merci pour vos réponses. J'ai déjà passé le nombre de versions à 0 (en fait j'ai désactivé le versionnage) et j'ai effacé la base de données (depuis l'explorateur de versions de cloud station server), mais je n'ai pas gagné d'espace disque... Serait-il possible que même sans versionnage, cloud station stocke l'info Et dans la base de donnée ET dans le dossier de l'utilisateur? (Ca me parait vraiment pas réaliste...)
  2. Bonjour, Après des années d'utilisation de Cloud Station, j'ai récemment entrepris de sauvegarder de plus grandes quantités de données via ce biais. Mais je viens de réaliser que pour 1To de données à sauvegarder (provenant de 2 ordis), le nas utilisait en fait 2To sur son disque. J'ai l'impression qu'il a doublé la sauvegarde et je ne comprends pas pourquoi. Il semble qu'1To soit stocké dans volume1/homes/mondossierutilisateur mais qu'1 autre To soit également dans volume1/@cloudstation (probablement la base de données de Cloud station?) Toujours est-il que pour 1To de données, le nas utilise le double sur le disque et je trouve ça étrange. Qu'en pensez-vous svp? Merci pour votre aide! Rémix
  3. Super, ca fonctionne! (J'ai également nettoyé les tab qu'il y avait au début de chaque ligne) Merci!
  4. J'ai copié exactement ce post, soit: # Script to enable port forwarding and IP Masquerading, to share # the primary internet connection to the second port of DS1512+ action=$1 shift; local INT_IFACE="eth1" local IFCFG_FILE="/etc/sysconfig/network-scripts/ifcfg-${INT_IFACE}" local DHCPD_CONF="/etc/dhcpd/dhcpd.conf" local RULES_NAT="/etc/firewall_rules_nat.dump" logerr() { # [logger args] [msgs...] local TAG="nat_router" [ ! -z $action ] && TAG="${TAG} (${action})" logger -p user.err -t "${TAG}" "$@" } # Guard to prevent execution if NAT is not supposed to be enabled [ -e $IFCFG_FILE -a -e ${DHCPD_CONF} ] || { logerr "Missing config files"; exit 1; } local IPADDR=`get_key_value ${IFCFG_FILE} IPADDR` local NETMASK=`get_key_value ${IFCFG_FILE} NETMASK` local IS_ROUTER=`grep option:router ${DHCPD_CONF} | grep -c ${IPADDR}` [ ${IS_ROUTER} -eq 0 ] && { logerr "Routing mode not enabled on ${INT_IFACE}"; exit 1; } # Calculate local network CIDR local CIDR_PREFIX=`ipcalc -p ${IPADDR} ${NETMASK} | cut -d'=' -f2` local CIDR_IP=`ipcalc -n ${IPADDR} ${NETMASK} | cut -d'=' -f2` local CIDR="${CIDR_IP}/${CIDR_PREFIX}" setup_nat() { # Enable port forwarding, in case not enabled by default echo 1 > /proc/sys/net/ipv4/ip_forward # Load the required modules /usr/syno/etc.defaults/rc.d/S01iptables.sh load_nat_mod forwarding_test } load_nat_rules() { if [ -e ${RULES_NAT} ]; then /sbin/iptables-restore -n < ${RULES_NAT} &> /dev/null if [ $? -eq 0 ]; then logerr "NAT rules loaded successfully" else logerr "Error loading NAT rules from: ${RULES_NAT}" exit 1; fi else logerr "No NAT rules found" fi # Define the masquerading rule /sbin/iptables -t nat -D POSTROUTING -s ${CIDR} -j MASQUERADE &> /dev/null # don't add twice /sbin/iptables -t nat -A POSTROUTING -s ${CIDR} -j MASQUERADE } save_nat_rules() { local TMP_RULES="/tmp/firewall_rules_nat.tmp" echo "# $(date)" > ${TMP_RULES} echo "*nat" >> ${TMP_RULES} /sbin/iptables-save -t nat | grep "\-j DNAT" | uniq >> ${TMP_RULES} echo "COMMIT" >> ${TMP_RULES} mv -f ${TMP_RULES} ${RULES_NAT} logerr "NAT rules saved to ${RULES_NAT}" } clear_nat_rules() { /sbin/iptables-save -t nat |grep "\-j DNAT" | sed 's/^-A /-D /g' | while read line; do if [ ! -z $line ]; then /sbin/iptables -t nat $line &> /dev/null fi done /sbin/iptables -t nat -D POSTROUTING -s ${CIDR} -j MASQUERADE &> /dev/null } case "$action" in start) setup_nat load_nat_rules ;; stop) save_nat_rules clear_nat_rules ;; restart) save_nat_rules clear_nat_rules load_nat_rules ;; *) echo "Usage: $0 [start|stop|restart]" ;; esac exit 0
  5. Merci pour ta réponse. J'ai bien placé mon script dans Place ton script dans /usr/local/etc/rc.d/, mais malheureusement, toujours pas de redémarrage automatique du script après un reboot du serveur... Tous les scripts sous rc.d ne sont ils pas sensés être relancés au démarrage? (J'ai chmodé mon script en 755 comme les autres scripts, ce devrait être ok non?)
  6. Bonjour, Pour reprendre le sujet initial, j'utilise donc un script de routage NAT qui est placé dans /usr/syno/etc/rc.d/ et qui me donne entière satisfaction du point de vue routage! Néanmoins, à chaque redémarrage du NAS, il me faut relancer le script à la main car le routage n'est pas opérationnel... Je souhaiterais n'avoir rien à faire et qu'à chaque redémarrage, le script soit lancé automatiquement. Comment faire? Merci
  7. Le DoS est désactivé du côté LAN local. J'ai stoppé également le routage nat pour vérifier s'il était en cause, mais non, pas de ping non plus.
  8. Quel port est attaqué par un ping?
  9. Pour rappel, j'ai 2 interfaces: - Un sur le réseau local (192.168.1.x) dont le nas (192.168.1.1) est le dhcp server et également la passerelle de sortie, puisqu'il est configuré en routeur (voir ci-dessus). - La 2eme est connectée à un accès internet fournit par une entreprise tierce dont je ne connais pas la configuration. sur cette interface, le NAS a bien une IP dynamique fournie par la société tierce... Donc mes postes clients passent par la fonction routeur du nas pour accéder à internet. Et donc depuis un poste client, je peux pinguer un autre poste dans le sous réseau, je peux pinguer google, mais je ne ping pas le nas (192.168.1.1)...
  10. non il est bien en IP fixe (192.168.1.1) et pas de changement après redémarrage... Est-ce qu'il n'y aurait pas une option pour désactiver les réponses au ping et que j'aurais manipulée par mégarde?
  11. Bonjour, Je n'arrive plus à pinguer le nas sur le réseau local. Est-ce que ca pourrait être lié à la config de routage nat? (Tout le reste ping bien, postes locaux, internet,...)
  12. Bonjour, Cette réponse m'intéresse également (désolé de déterrer le sujet). Est-ce que le fichier robots.txt doit se trouver dans le répertoir "web/" du syno ou dans chacun des sous dossiers de web/? J'aurais tendance à penser que les robots n'ont pas accès à web/, mais que la racine du site pour eux est bien le sous dossier de web/. Quelqu'un peut confirmer? Merci!
  13. Je ne sais pas encore exactement ce que je veux faire avec. Dans un premier temps, disons que je souhaite utiliser le cache. On verra ensuite pour faire du filtrage... Du coup, que dois-je saisir dans proxy server? L'interface semble minimaliste, il n'y a rien à configurer? Un installe le paquet et ca roule?